Loading...
Searching...
No Matches
WQuestion Class Reference

## Public Member Functions

| WQuestion (const WQuestion &s)
| WQuestion (int fp, wn_oper o, EST_Val a)
void | set_fp (const int &fp)
void | set_oper (const wn_oper &o)
void | set_operand1 (const EST_Val &a)
void | set_yes (const int &y)
void | set_no (const int &n)
int | get_yes (void) const
int | get_no (void) const
const int | get_fp (void) const
const wn_oper | get_op (void) const
const EST_Val | get_operand1 (void) const
const EST_IList & | get_operandl (void) const
const float | get_score (void) const
void | set_score (const float &f)
const int | ask (const WVector &w) const

## Friends

ostream & | operator<< (ostream &s, const WQuestion &q)

## Detailed Description

Definition at line 106 of file EST_Wagon.h.

## Constructor & Destructor Documentation

## WQuestion() [1/3]

WQuestion::WQuestion | ( |  | ) |

inline

Definition at line 116 of file EST_Wagon.h.

## WQuestion() [2/3]

WQuestion::WQuestion | ( | const WQuestion & | s | ) |

inline

Definition at line 117 of file EST_Wagon.h.

## ~WQuestion()

WQuestion::~WQuestion | ( |  | ) |

inline

Definition at line 121 of file EST_Wagon.h.

## WQuestion() [3/3]

WQuestion::WQuestion | ( | int | fp,
|  | wn_oper | o,
|  | EST_Val | a )

inline

Definition at line 122 of file EST_Wagon.h.

## Member Function Documentation

## set_fp()

void WQuestion::set_fp | ( | const int & | fp | ) |

inline

Definition at line 124 of file EST_Wagon.h.

## set_oper()

void WQuestion::set_oper | ( | const wn_oper & | o | ) |

inline

Definition at line 125 of file EST_Wagon.h.

## set_operand1()

void WQuestion::set_operand1 | ( | const EST_Val & | a | ) |

inline

Definition at line 126 of file EST_Wagon.h.

## set_yes()

void WQuestion::set_yes | ( | const int & | y | ) |

inline

Definition at line 127 of file EST_Wagon.h.

## set_no()

void WQuestion::set_no | ( | const int & | n | ) |

inline

Definition at line 128 of file EST_Wagon.h.

## get_yes()

int WQuestion::get_yes | ( | void |  | ) | const

inline

Definition at line 129 of file EST_Wagon.h.

## get_no()

int WQuestion::get_no | ( | void |  | ) | const

inline

Definition at line 130 of file EST_Wagon.h.

## get_fp()

const int WQuestion::get_fp | ( | void |  | ) | const

inline

Definition at line 131 of file EST_Wagon.h.

## get_op()

const wn_oper WQuestion::get_op | ( | void |  | ) | const

inline

Definition at line 132 of file EST_Wagon.h.

## get_operand1()

const EST_Val WQuestion::get_operand1 | ( | void |  | ) | const

inline

Definition at line 133 of file EST_Wagon.h.

## get_operandl()

const EST_IList & WQuestion::get_operandl | ( | void |  | ) | const

inline

Definition at line 134 of file EST_Wagon.h.

## get_score()

const float WQuestion::get_score | ( | void |  | ) | const

inline

Definition at line 135 of file EST_Wagon.h.

## set_score()

void WQuestion::set_score | ( | const float & | f | ) |

inline

Definition at line 136 of file EST_Wagon.h.

## ask()

const int WQuestion::ask | ( | const WVector & | w | ) | const

Definition at line 261 of file wagon_aux.cc.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | s,
|  | const WQuestion & | q )

friend

Definition at line 303 of file wagon_aux.cc.

The documentation for this class was generated from the following files:

- include/EST_Wagon.h
- stats/wagon/wagon_aux.cc